package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingBuygiftActivityQueryRequest struct {
	/*
	   买赠活动查询入参     */
	Param0 *domain.AlibabaRetailMarketingBuygiftActivityQueryBuyGiftActivityQueryRequest `json:"param0" required:"true" `
}

func (s *AlibabaRetailMarketingBuygiftActivityQueryRequest) SetParam0(v domain.AlibabaRetailMarketingBuygiftActivityQueryBuyGiftActivityQueryRequest) *AlibabaRetailMarketingBuygiftActivityQueryRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaRetailMarketingBuygiftActivityQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingBuygiftActivityQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
